Subject: Re: randconfig build error with next-20131210, in drivers/crypto/ccp/ccp-pci.c

From: Tom Lendacky <[email-masked]>
Date: Tue, 10 Dec 2013 09:34:48 -0600

On Tuesday, December 10, 2013 07:21:36 AM Jim Davis wrote:
> Building with the attached random configuration file,
> 
> drivers/crypto/ccp/ccp-pci.c: In function ‘ccp_get_msix_irqs’:
> drivers/crypto/ccp/ccp-pci.c:44:20: error: array type has incomplete
> element type
> drivers/crypto/ccp/ccp-pci.c:48:18: error: negative width in bit-field
> ‘<anonymous>’
> drivers/crypto/ccp/ccp-pci.c:51:2: error: implicit declaration of
> function ‘pci_enable_msix’ [-Werror=implicit-function-declaration]
> drivers/crypto/ccp/ccp-pci.c:76:2: error: implicit declaration of
> function ‘pci_disable_msix’ [-Werror=implicit-function-declaration]
> drivers/crypto/ccp/ccp-pci.c:44:20: warning: unused variable
> ‘msix_entry’ [-Wunused-variable]
> drivers/crypto/ccp/ccp-pci.c: In function ‘ccp_get_msi_irq’:
> drivers/crypto/ccp/ccp-pci.c:89:2: error: implicit declaration of
> function ‘pci_enable_msi’ [-Werror=implicit-function-declaration]
> drivers/crypto/ccp/ccp-pci.c:102:2: error: implicit declaration of
> function ‘pci_disable_msi’ [-Werror=implicit-function-declaration]
> cc1: some warnings being treated as errors
> make[3]: *** [drivers/crypto/ccp/ccp-pci.o] Error 1

Thanks for finding this, I'll update to the Kconfig to add PCI to
the 'depends on' statement.

Tom